#At file:///export/home/tmp/ss156133/z/b39852-51g/ based on revid:matthias.leich@stripped
2840 Staale Smedseng 2009-03-31
Bug #39852 bug in mysql_setpermission
mysql_setpermission is modified to honor the $db
variable as suggested when doing a REVOKE ALL for
menu option 7.
modified:
scripts/mysql_setpermission.sh
=== modified file 'scripts/mysql_setpermission.sh'
--- a/scripts/mysql_setpermission.sh 2007-08-01 09:58:25 +0000
+++ b/scripts/mysql_setpermission.sh 2009-03-31 10:59:22 +0000
@@ -257,7 +257,7 @@ sub addall {
$sth = $dbh->do("GRANT ALL ON $db.* TO \'$user\'\@\'$host\' IDENTIFIED BY \'$pass\'") || die $dbh->errstr;
} elsif ($todo == 7) {
# all privileges set to N
- $sth = $dbh->do("REVOKE ALL ON *.* FROM \'$user\'\@\'$host\'") || die $dbh->errstr;
+ $sth = $dbh->do("REVOKE ALL ON $db.* FROM \'$user\'\@\'$host\'") || die $dbh->errstr;
}
}
$dbh->do("FLUSH PRIVILEGES") || print STDERR "Can't flush privileges\n";
Attachment: [text/bzr-bundle] bzr/staale.smedseng@sun.com-20090331105922-87h5tdmzjbpqkq6h.bundle
| Thread |
|---|
| • bzr commit into mysql-5.1-bugteam branch (staale.smedseng:2840) Bug#39852 | Staale Smedseng | 31 Mar |